Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1025822 - PRD35 - [RFE] Provide a noreboot flag for RHEV-Tools
Summary: PRD35 - [RFE] Provide a noreboot flag for RHEV-Tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools
Version: 3.2.0
Hardware: All
OS: Windows
high
high
Target Milestone: ---
: 3.5.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-11-01 16:48 UTC by Sadique Puthen
Modified: 2019-03-22 07:09 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this feature, a new command line option "ISNOREBOOT" was added to guest tools. When the option is used as part of a silent install (together with "ISSILENTMODE"), it disables the reboot of the machine at the end of the installation, allowing additional steps to be performed prior to rebooting the machine.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:41:10 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0198 normal SHIPPED_LIVE rhev-guest-tools-iso bug fix and enhancement update 2015-02-11 22:34:00 UTC

Comment 6 Jiri Belka 2014-08-04 12:59:04 UTC
ok, 3.5.1 WGT (d/s).

Comment 7 Yaniv Lavi 2015-01-19 16:16:47 UTC
Original request was:

1. What is the nature and description of the request?

Customer is developing an MS build server and they need to be able to do a quiet (i.e. don't reboot afterwards) install of RHEV-Tools.  What flags can we pass the RHEV Tools installer to achieve this?

We need to do this as part of a WDS deployment.  When the RHEV Tools installer completes, it reboots the VM causing all additional software to not install and the build to fail.

I fully understand the need for the reboot to occur and under 'normal' circumstances, I'd agree, but here Red Hat needs to give us a choice of when the reboot occurs.

2. Why does the customer need this? (List the business requirements here)

We need to do RHEV-tools installation as part of a WDS deployment.  When the RHEV Tools installer completes, it reboots the VM causing all additional software to not install and the build to fail. So we not block the reboot by RHEV-Tools and perform the reboot after all additional softwares are installed.

3. How would the customer like to achieve this? (List the functional requirements here)

By providing a no-reboot option when the exe is invoked.

Comment 9 errata-xmlrpc 2015-02-11 17:41:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0198.html


Note You need to log in before you can comment on or make changes to this bug.